- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 02d5b618-db89-4c0f-adf2-f01578df5657
    creation_time: 2023-02-17T12:11:16.427272Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/sum_natnum.c
      input_file_hashes:
        c/loops-crafted-1/sum_natnum.c: ff2ea40d6d25fb86e36a6b6b626bedee46fbbe211877b096a26da0b150125568
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/sum_natnum.c
    file_hash: ff2ea40d6d25fb86e36a6b6b626bedee46fbbe211877b096a26da0b150125568
    line: 23
    column: 0
    function: main
  loop_invariant:
    string: 2*sum == i* ( i+1 )  && 0 <= i && i <= SIZE
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c7a7767f-89e6-4122-87d2-b372859e1e78
    creation_time: 2023-02-17T12:11:16.427596Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/sum_natnum.c
      input_file_hashes:
        c/loops-crafted-1/sum_natnum.c: ff2ea40d6d25fb86e36a6b6b626bedee46fbbe211877b096a26da0b150125568
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/sum_natnum.c
    file_hash: ff2ea40d6d25fb86e36a6b6b626bedee46fbbe211877b096a26da0b150125568
    line: 27
    column: 0
    function: main
  location_invariant:
    string: sum ==  ( SIZE* ( SIZE+1 )  ) /2
    type: assertion
    format: C

